[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.InvalidatePanel

Updates the panel at the specified position in the Panels for the status bar.

## Declaration

Source position: comctrls.pp line 167

`public procedure TStatusBar.InvalidatePanel(`
`PanelIndex: Integer;`
`PanelParts: TPanelParts`
`); virtual;`

## Arguments

`PanelIndex` |  | Ordinal position for the panel affected in the method.
`PanelParts` |  | Panel parts affected in the method.

## Description

InvalidatePanel renders the panel with specified index non-valid. Calls UpdateHandleObject to ensure that the widgetset class is notified of the change to the specified panel.

Remark: | No actions are performed in the method when the PanelParts argument is an empty set ([]).